
void _efl_gfx_vg_value_provider_keypath_set(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, Eina_Stringshare *keypath);


static Eina_Error
__eolian_efl_gfx_vg_value_provider_keypath_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Stringshare *cval;
   if (!eina_value_stringshare_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_gfx_vg_value_provider_keypath_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_vg_value_provider_keypath_set, EFL_FUNC_CALL(keypath), Eina_Stringshare *keypath);

Eina_Stringshare *_efl_gfx_vg_value_provider_keypath_get(const Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd);


static Eina_Value
__eolian_efl_gfx_vg_value_provider_keypath_get_reflect(const Eo *obj)
{
   Eina_Stringshare *val = efl_gfx_vg_value_provider_keypath_get(obj);
   return eina_value_stringshare_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gfx_vg_value_provider_keypath_get, Eina_Stringshare *, NULL);

void _efl_gfx_vg_value_provider_transform_set(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, Eina_Matrix4 *m);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_vg_value_provider_transform_set, EFL_FUNC_CALL(m), Eina_Matrix4 *m);

Eina_Matrix4 *_efl_gfx_vg_value_provider_transform_get(const Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gfx_vg_value_provider_transform_get, Eina_Matrix4 *, NULL);

void _efl_gfx_vg_value_provider_fill_color_set(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, int r, int g, int b, int a);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_vg_value_provider_fill_color_set, EFL_FUNC_CALL(r, g, b, a), int r, int g, int b, int a);

void _efl_gfx_vg_value_provider_fill_color_get(const Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, int *r, int *g, int *b, int *a);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_vg_value_provider_fill_color_get, EFL_FUNC_CALL(r, g, b, a), int *r, int *g, int *b, int *a);

void _efl_gfx_vg_value_provider_stroke_color_set(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, int r, int g, int b, int a);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_vg_value_provider_stroke_color_set, EFL_FUNC_CALL(r, g, b, a), int r, int g, int b, int a);

void _efl_gfx_vg_value_provider_stroke_color_get(const Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, int *r, int *g, int *b, int *a);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_gfx_vg_value_provider_stroke_color_get, EFL_FUNC_CALL(r, g, b, a), int *r, int *g, int *b, int *a);

void _efl_gfx_vg_value_provider_stroke_width_set(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd, double width);


static Eina_Error
__eolian_efl_gfx_vg_value_provider_stroke_width_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_gfx_vg_value_provider_stroke_width_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_vg_value_provider_stroke_width_set, EFL_FUNC_CALL(width), double width);

double _efl_gfx_vg_value_provider_stroke_width_get(const Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd);


static Eina_Value
__eolian_efl_gfx_vg_value_provider_stroke_width_get_reflect(const Eo *obj)
{
   double val = efl_gfx_vg_value_provider_stroke_width_get(obj);
   return eina_value_double_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gfx_vg_value_provider_stroke_width_get, double, 0);

Efl_Gfx_Vg_Value_Provider_Flags _efl_gfx_vg_value_provider_updated_get(const Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gfx_vg_value_provider_updated_get, Efl_Gfx_Vg_Value_Provider_Flags, 0);

Efl_Object *_efl_gfx_vg_value_provider_efl_object_constructor(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd);


void _efl_gfx_vg_value_provider_efl_object_destructor(Eo *obj, Efl_Gfx_Vg_Value_Provider_Data *pd);


static Eina_Bool
_efl_gfx_vg_value_provider_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_GFX_VG_VALUE_PROVIDER_EXTRA_OPS
#define EFL_GFX_VG_VALUE_PROVIDER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_keypath_set, _efl_gfx_vg_value_provider_keypath_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_keypath_get, _efl_gfx_vg_value_provider_keypath_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_transform_set, _efl_gfx_vg_value_provider_transform_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_transform_get, _efl_gfx_vg_value_provider_transform_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_fill_color_set, _efl_gfx_vg_value_provider_fill_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_fill_color_get, _efl_gfx_vg_value_provider_fill_color_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_stroke_color_set, _efl_gfx_vg_value_provider_stroke_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_stroke_color_get, _efl_gfx_vg_value_provider_stroke_color_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_stroke_width_set, _efl_gfx_vg_value_provider_stroke_width_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_stroke_width_get, _efl_gfx_vg_value_provider_stroke_width_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_vg_value_provider_updated_get, _efl_gfx_vg_value_provider_updated_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_gfx_vg_value_provider_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_gfx_vg_value_provider_efl_object_destructor),
      EFL_GFX_VG_VALUE_PROVIDER_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"keypath", __eolian_efl_gfx_vg_value_provider_keypath_set_reflect, __eolian_efl_gfx_vg_value_provider_keypath_get_reflect},
      {"stroke_width", __eolian_efl_gfx_vg_value_provider_stroke_width_set_reflect, __eolian_efl_gfx_vg_value_provider_stroke_width_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_gfx_vg_value_provider_class_desc = {
   EO_VERSION,
   "Efl.Gfx.Vg.Value_Provider",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Gfx_Vg_Value_Provider_Data),
   _efl_gfx_vg_value_provider_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_gfx_vg_value_provider_class_get, &_efl_gfx_vg_value_provider_class_desc, EFL_OBJECT_CLASS, NULL);
